/* definition of command-line options */

struct poptOption options[] = {
  {
    "12hour",
    't',
    POPT_ARG_NONE,
    &twelvehourmode,
    0,
    "Start in 12-hour mode",
    NULL
  },
  {
    "24hour",
    '\0',
    POPT_ARG_NONE,
    &twentyfourhourmode,
    1,
    "Start in 24-hour mode (default)",
    NULL
  },
  {
    "halfsize",
    'f',
    POPT_ARG_NONE,
    &half_size,
    0,
    "Start in half size",
    NULL
    },
  
  {
    "windowed",
    'w',
    POPT_ARG_NONE,
    &windowed,
    0,
    "Use a standard window with border",
    NULL
    },
  
  {
    "debug",
    'd',
    POPT_ARG_NONE,
    &adebug,
    0,
    "enable debugging messages",
    NULL
    },
  {
    "look",
    'l',
    POPT_ARG_STRING,
    &look,
    0,
    "choose look to display",
    NULL
    },
  {
    "listlooks",
    'L',
    POPT_ARG_NONE,
    &listlooks,
    0,
    "list available looks",
    NULL
    },
  
  {
    NULL,
    '\0',
    0,
    NULL,
    0,
    NULL,
    NULL
  }
};


